﻿

$ErrorActionPreference = 'Stop'; 
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://dl.google.com/go/go1.12.windows-386.msi' 
$url64      = 'https://dl.google.com/go/go1.12.windows-amd64.msi' 

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'msi' 
  url           = $url
  url64bit      = $url64

  softwareName  = 'golang*' 

  checksum      = '089a34c9bc0872c66a77e9f6b41d1c07c3841567199ed53bab9bf49a730670bd'
  checksumType  = 'sha256' 
  checksum64    = '13515401fc5e8e2959ee37413f9d2af934e2bfbba87a2a4d7a1c6058a9dbe6d5'
  checksumType64= 'sha256' 

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`"" 
  validExitCodes= @(0, 3010, 1641)

}

Install-ChocolateyPackage @packageArgs 
